using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;


namespace Telerik.Windows.Examples.Examples.TreeView
{
	/// <summary>
	/// Represents a customer
	/// </summary>
	public class OrderDetails 
	{
		private string  orderID;

		private string productID;

		private string unitPrice;

		private string quantity;

		private string discount;

		private Products product;

		public string OrderID
		{
			get
			{
				return this.orderID;
			}
			set
			{
				if (this.orderID != value)
				{
					this.orderID = value;
				}
			}
		}

		public string ProductID
		{
			get
			{
				return this.productID;
			}
			set
			{
				if (this.productID != value)
				{
					this.productID = value;
				}
			}
		}

		public string UnitPrice
		{
			get
			{
				return this.unitPrice;
			}
			set
			{
				if (this.unitPrice != value)
				{
					this.unitPrice = value;
				}
			}
		}

		public string Quantity
		{
			get
			{
				return this.quantity;
			}
			set
			{
				if (this.quantity != value)
				{
					this.quantity = value;
				}
			}
		}

		public string Discount
		{
			get
			{
				return this.discount;
			}
			set
			{
				if (this.discount != value)
				{
					this.discount = value;
				}
			}
		}

		public Products Product
		{
			get
			{
				return this.product;
			}
			set
			{
				if (this.product != value)
				{
					this.product = value;
				}
			}
		}
	}
}
